POST
/docs/{docId}/recoverSet recovery mode for a document
Controls the recovery mode of a document. Recovery mode helps in recovering from errors or corrupted states. Only document owners can control recovery mode.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
docIdstringrequired
A string id (UUID)
Recovery mode settings
recoveryModebooleanoptional
Whether to enable recovery mode. Defaults to true if not specified.
200Recovery mode set successfully
recoveryModebooleanrequired
The current recovery mode state of the document
403Access denied - only owners can control recovery mode
404Document not found
Error handling
A 403 is returned: Access denied - only owners can control recovery mode. A 404 is returned: Document not found.
